function MeuseCatchmentsGFSPrecipitation = importPrecipitation(filename, dataLines)
%IMPORTFILE Import data from a text file
%  MEUSECATCHMENTSGFSPRECIPITATION1 = IMPORTFILE(FILENAME) reads data
%  from text file FILENAME for the default selection.  Returns the data
%  as a table.
%
%  MEUSECATCHMENTSGFSPRECIPITATION1 = IMPORTFILE(FILE, DATALINES) reads
%  data for the specified row interval(s) of text file FILENAME. Specify
%  DATALINES as a positive scalar integer or a N-by-2 array of positive
%  scalar integers for dis-contiguous row intervals.
%
%  Example:
%  MeuseCatchmentsGFSPrecipitation1 = importfile("/home/robrikken/Documents/hydrologicalmodelling/data/forecasts/Meuse_Catchments_GFS_Precipitation.202001040400", [3, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 12-Jan-2020 13:13:15

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [3, Inf];
end

%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 6);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = "\t";

% Specify column names and types
opts.VariableNames = ["Time", "Vesdre", "Sambre", "Ourthe", "Lesse", "Semois"];
opts.VariableTypes = ["datetime", "double", "double", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "Time", "InputFormat", "yyyy-MM-dd HH:mm:ss");

% Import the data
MeuseCatchmentsGFSPrecipitation = readtable(filename, opts);

end